ecom/urls.py
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/', include('allauth.urls')),
    path('', include('catalog.urls'))
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

catalog/models.py
from django.db import models
from django.shortcuts import reverse
from django_countries.fields import CountryField
from django.contrib.auth.models import User


CATEGORY_CHOICES = (
    ('S', 'viscose'),
    ('SW', 'cotton'),
    ('OW', 'Linen')
)
LABEL_CHOICES = (
    ('S', 'secondary'),
    ('P', 'primary'),
    ('D', 'danger')
)
PAYMENT_CHOICES = (
    ('S', 'esewa'),
    ('P', 'khalti'),
)


class Item(models.Model):
    title = models.CharField(max_length=200)
    price = models.IntegerField()
    discount_price = models.IntegerField(blank=True, null=True)
    slug = models.SlugField()
    status = models.CharField(max_length=200)
    category = models.CharField(choices=CATEGORY_CHOICES, max_length=2)
    label = models.CharField(choices=LABEL_CHOICES, max_length=2)
    description = models.TextField()
    image = models.ImageField(default='default.jpg', upload_to='productImages')

    def __str__(self):
        return self.title

    def get_add_to_cart_url(self):
        return reverse('add_to_cart', kwargs={'slug': self.slug})

    def get_remove_from_cart_url(self):
        return reverse('remove_from_cart', kwargs={'slug': self.slug})

    def get_remove_single_from_cart_url(self):
        return reverse('remove_single_from_cart', kwargs={'slug': self.slug})


class OrderItem(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    item = models.ForeignKey(Item, on_delete=models.CASCADE)
    ordered = models.BooleanField(default=False)
    quantity = models.IntegerField(default=1)

    def __str__(self):
        return f"{self.quantity} of {self.item.title}"

    def get_total_item_price(self):
        return self.quantity * self.item.price

    def get_amount_saved(self):
        return self.get_total_item_price() - self.get_final_price()

    def get_total_item_discount_price(self):
        return self.quantity * self.item.discount_price

    def get_final_price(self):
        if self.item.discount_price:
            return self.get_total_item_discount_price()
        return self.get_total_item_price()


class Order(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    items = models.ManyToManyField(OrderItem)
    address = models.ForeignKey(
        "Address", on_delete=models.SET_NULL, blank=True, null=True)
    payment = models.ForeignKey(
        "Payment", on_delete=models.SET_NULL, blank=True, null=True)
    coupon = models.ForeignKey(
        "Coupon", on_delete=models.SET_NULL, blank=True, null=True)
    ordered = models.BooleanField(default=False)
    start_date = models.DateTimeField(auto_now_add=True)
    ordered_date = models.DateTimeField()

    def __str__(self):
        return self.user.username

    def get_total(self):
        total = 0
        for order_item in self.items.all():
            total += order_item.get_final_price()
        if self.coupon:
            total -= self.coupon.amount
        return total


class Address(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    street_address = models.CharField(max_length=200)
    apartment_address = models.CharField(max_length=200)
    country = CountryField(multiple=False)
    zip = models.CharField(max_length=200)
    save_info = models.BooleanField(default=False)
    default = models.BooleanField(default=False)
    use_default = models.BooleanField(default=False)
    payment_option = models.CharField(choices=PAYMENT_CHOICES, max_length=2)

    class Meta:
        verbose_name_plural = 'Addresses'

    def __str__(self):
        return self.user.username


class Payment(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    charge_id = models.CharField(max_length=100)
    amount = models.CharField(max_length=100)

    def __str__(self):
        return self.user.username


class Coupon(models.Model):
    code = models.CharField(max_length=50)
    amount = models.IntegerField()

    def __str__(self):
        return self.code

templates/base.html
{% load static %}
{% load cart_template_tags %}
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Ecom</title>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/style.min.css' %}" rel="stylesheet">
  <style type="text/css">
    html,
    body,
    header,
    .carousel {
      height: 60vh;
    }

    @media (max-width: 740px) {

      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }

    @media (min-width: 800px) and (max-width: 850px) {

      html,
      body,
      header,
      .carousel {
        height: 100vh;
      }
    }

  </style>
</head>
<body>

<nav class="navbar fixed-top navbar-expand-lg navbar-light white scrolling-navbar">
<div class="container-fluid">
    <a class="navbar-brand waves-effect" href="{% url 'home' %}">
      <img class="ml-0 pl-0" style="height: 40px;" src="{% static 'pictures/logo.png' %}" alt="Logo">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <!-- <li class="nav-item">
      <a class="nav-link waves-effect" href="{% url 'home' %}">Home
      </a>
      </li> -->
    </ul>      
      
    <ul class="navbar-nav nav-flex-icons">
      {% if request.user.is_authenticated %}
        <li class="nav-item">
          <a class="nav-link waves-effect" href="#">Hello, {{request.user.username}}
          </a>
        </li>
        <li class="nav-item">
        <a href="{% url 'order_summary' %}" class="nav-link waves-effect">
            <span class="badge red z-depth-1 mr-1">{{ request.user|cart_item_count}}</span>
            <i class="fas fa-shopping-cart"></i>
            <span class="clearfix d-none d-sm-inline-block"> Cart </span>
        </a>
        </li>
         <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_logout' %}">Logout
          </a>
        </li>
      {% else %}
        <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_login' %}">Login
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link waves-effect" href="{% url 'account_signup' %}">Signup
          </a>
        </li>
      {% endif %}

    </ul>

    </div>

</div>
</nav>

<div class="container">
  {% if messages %}
    {% for message in messages %}
      <div style="margin-top:5rem;" class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
        {{message}}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    {% endfor %}
  {% endif %}
</div>


{% block content %}
  
{% endblock content %}


<footer class="page-footer font-small elegant-color pt-4">
  <div class="container text-center text-md-left">
    <div class="row text-center text-md-left mt-3 pb-3">
      <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Simrik Design Studio</h6>
        <p>Here we provide ladies with some of the best designs in the country.
          This company creates design for ladies only.
          </p>
      </div>
      <hr class="w-100 clearfix d-md-none">
     
      <hr class="w-100 clearfix d-md-none">
      
      <hr class="w-100 clearfix d-md-none">
      <div class="col-md-4 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Contact</h6>
        <p>
          <i class="fas fa-home mr-3"></i>Jwagal, Lalitpur, Nepal</p>
        <p>
          <i class="fas fa-envelope mr-3"></i> simrikdesignstudio@gmail.com</p>
        <p>
          <i class="fas fa-phone mr-3"></i> + 977 9851144303</p>
      </div>
    </div>
    <hr>
    <div class="row d-flex align-items-center">
      
      <div class="col-md-5 col-lg-4 ml-lg-0">
        <div class="text-center text-md-right">
          <ul class="list-unstyled list-inline">
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-facebook-f"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-twitter"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-google-plus-g"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fab fa-linkedin-in"></i>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</footer>




  <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
  <script type="text/javascript">
    new WOW().init();

  </script>
</body>

</html>

templates/checkout.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}


{% block content %}

<main class="mt-5 pt-4">
  <div class="container wow fadeIn">
    <h2 class="my-5 h2 text-center">Checkout form</h2>
    <div class="row">
      <div class="col-md-8 mb-4">
        <div class="card">
<!-- 
          <form action="" method="POST">
            {% csrf_token %}
            {{form|crispy}}
            <button type="submit" class="btn btn-info">Submit</button>
          </form> -->


          <form class="card-body" method="POST">
            {% csrf_token %}
            <div class="md-form mb-5">
              <input type="text" name="street_address" id="street_address" class="form-control" placeholder="Kathmandu" required>
              <label for="street_address" class="">City</label>
            </div>
            <div class="md-form mb-5">
              <input type="text" name="apartment_address" id="apartment_address" class="form-control" placeholder="Basundhara" required>
              <label for="apartment_address" class="">address</label>
            </div>

            <div class="row">
              <div class="col-lg-4 col-md-12 mb-4">
                <label for="country">Country</label>
                {{form.country}}
                <div class="invalid-feedback">
                  Please select a valid country.
                </div>
              </div>
              <div class="col-lg-4 col-md-6 mb-4">
                <label for="zip">Zip</label>
                <input type="text" name="zip" class="form-control" id="zip" placeholder="Zipcode..." >
                <div class="invalid-feedback">
                  Zip code required.
                </div>
              </div>
            </div>
            <hr>
            <!-- <div class="custom-control custom-checkbox">
              <input type="checkbox" name="save_info" class="custom-control-input" id="save_info">
              <label class="custom-control-label" for="save_info">Save as default address</label>
            </div>
            <div class="custom-control custom-checkbox">
              <input type="checkbox" name="use_default" class="custom-control-input" id="use_default">
              <label class="custom-control-label" for="use_default">Use default address : {{address.street_address}}, {{address.apartment_address}}, {{address.country}}</label>
            </div>
            <hr> -->
            <div class="d-block my-3">
              <div class="custom-control custom-radio">
                <input id="stripe" value="S" name="payment_option" type="radio" class="custom-control-input">
                <label class="custom-control-label" for="stripe">Esewa</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="paypal" value="P" name="payment_option" type="radio" class="custom-control-input">
                <label class="custom-control-label" for="paypal">Khalti</label>
              </div>
            </div>
            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block" type="submit">Continue to Payment</button>
          </form>
        </div>
      </div>
      <!--Grid column-->

      <!--Grid column-->
      <div class="col-md-4 mb-4">
        {% include "snippet.html" %}
      </div>
    </div>
  </div>
</main> 

{% endblock content %}
  
 

templates/home.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

<div id="carousel-example-1z" class="carousel slide carousel-fade pt-4" data-ride="carousel">

  <!--Indicators-->
  <ol class="carousel-indicators">
    <li data-target="#carousel-example-1z" data-slide-to="0" class="active"></li>
    <li data-target="#carousel-example-1z" data-slide-to="1"></li>
    <li data-target="#carousel-example-1z" data-slide-to="2"></li>
  </ol>
  <!--/.Indicators-->

  <!--Slides-->
  <div class="carousel-inner" role="listbox">

    <!--First slide-->
    <div class="carousel-item active">
      <div class="view" style="background-image: url('{% static 'pictures/shop2.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/First slide-->

    <!--Second slide-->
    <div class="carousel-item">
      <div class="view" style="background-image: url('{% static 'pictures/shop.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/Second slide-->

    <!--Third slide-->
    <div class="carousel-item">
      <div class="view" style="background-image: url('{% static 'pictures/shop3.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/Third slide-->

  </div>
  <!--/.Slides-->

  <!--Controls-->
  <a class="carousel-control-prev" href="#carousel-example-1z" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carousel-example-1z" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
  <!--/.Controls-->

</div>


<main>
  <div class="container">
    <section class="text-center mb-4 mt-3">
      <div class="row wow fadeIn">

        {% for object in object_list %}
        <div class="col-lg-3 col-md-6 mb-4">
          <div class="card">
            <div class="view overlay">
              <img src="{{object.image.url}}" class="card-img-top"
                alt="">
              <a href="{% url 'product' object.slug %}">
                <div class="mask rgba-white-slight"></div>
              </a>
            </div>
            <div class="card-body text-center">
              <a href="" class="grey-text">
                <h5>{{object.get_category_display}}</h5>
              </a>
              <h5>
                <strong>
                  <a href="{% url 'product' object.slug %}" class="dark-grey-text">{{object.title}}
                    <span class="badge badge-pill {{object.get_label_display}}-color">NEW</span>
                  </a>
                </strong>
              </h5>
              <h4 class="font-weight-bold blue-text">
                {% if object.discount_price %}
                <strong>Rs.{{object.discount_price}}</strong>
                {% else %}
                  <strong>Rs.{{object.price}}</strong>
                {% endif %}
              </h4>
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </section>
    <!--Section: Products v.3-->

    <!--Pagination-->
    <nav class="d-flex justify-content-center wow fadeIn">
      <ul class="pagination pg-blue">

        <!--Arrow left-->
        <li class="page-item disabled">
          <a class="page-link" href="#" aria-label="Previous">
            <span aria-hidden="true">&laquo;</span>
            <span class="sr-only">Previous</span>
          </a>
        </li>

        <li class="page-item active">
          <a class="page-link" href="#">1
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">2</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">3</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">4</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">5</a>
        </li>

        <li class="page-item">
          <a class="page-link" href="#" aria-label="Next">
            <span aria-hidden="true">&raquo;</span>
            <span class="sr-only">Next</span>
          </a>
        </li>
      </ul>
    </nav>
    <!--Pagination-->

  </div>
</main>
{% endblock content %}

  

  

templates/order_summary.html
{% extends "base.html" %} {% block content %}
<style>
  .small-img{
    width: 70px;
    height: 70px;
  }
</style>
<main class="mt-5 pt-4">
  <div class="container">
    <section class="mb-4">
      {% if order.items.all %}

      <h1>Order summary</h1>
      <div class="table-responsive text-nowrap">
        
        <table class="table">
          <thead>
            <tr>
              <th scope="col"></th>
              <th scope="col">Item title</th>
              <th scope="col">Quantity</th>
              <th scope="col">Price</th>
              <th scope="col">Total Item Price</th>
            </tr>
          </thead>
          <tbody>
            {% for order_item in order.items.all %}
              <tr>
              <th scope="row">
                <img src="{{order_item.item.image.url}}" class="rounded small-img" alt="">
              </th>
              <td>{{order_item.item.title}}</td>
              <td>
                <a href="{{order_item.item.get_remove_single_from_cart_url}}">
                  <i class="fas fa-minus-circle mr-2"></i>
                </a>
                {{order_item.quantity}}
                 <a href="{{order_item.item.get_add_to_cart_url}}">
                  <i class="fas fa-plus-circle ml-2"></i>
                </a>
              </td>
              {% if order_item.item.discount_price %}
                <td>{{order_item.item.discount_price}}</td>
              {% else %}
                <td>{{order_item.item.price}}</td>
              {% endif %}
              <td>{{order_item.get_final_price}}
                {% if order_item.item.discount_price %}
                  <span class="badge badge-pill badge-info">{{order_item.get_amount_saved}}</span>
                {% endif %}
                <a href="{{order_item.item.get_remove_from_cart_url}}">
                  <span style="color: red;" class="float-right">
                    <i class="fas fa-trash-alt"></i>
                  </span>
                </a>
              </td>
            </tr>
            {% empty %}
              <tr>
                <td colspan="5">
                  <a href="{% url 'home' %}" class="btn btn-outline-primary float-right">Continue Shopping</a>
                </td>
              </tr>
            {% endfor %}
            
            {% if order.get_total %}
              <tr>
                <td colspan="4">
                  <h4>Order total</h4>
                </td>
                <td colspan="1">
                  Rs.{{order.get_total}}
                </td>
              </tr>
              <tr>
                <td colspan="5">
                <p style="font-size: 18px;">*Your order will be delivered after 7days.</p>
                  <a href="{% url 'checkout' %}" class="btn btn-outline-warning float-right ml-2">Prodeed to checkout</a>
                  <a href="{% url 'home' %}" class="btn btn-outline-primary float-right">Continue Shopping</a>
                </td>
              </tr>
            {% endif %}

          </tbody>
        </table>
        {% else %}

        <h4 class="mt-5 pt-4">No items in your cart</h4>
        <a href="{% url 'home' %}" class="btn btn-outline-primary">Continue Shopping</a>
        {% endif %}

      </div>
    </section>
  </div>
</main>

{% endblock content %}

templates/product.html
{% extends 'base.html' %}


{% block content %}

<main class="mt-5 pt-4">
  <div class="container dark-grey-text mt-5">
    <div class="row wow fadeIn">
      <div class="col-md-6 mb-4">
        <img src="{{object.image.url}}" class="img-fluid" alt="">
      </div>
      <div class="col-md-6 mb-4">
        <div class="p-4">
          <div class="mb-3">
            <a href="">
              <span class="badge purple mr-1">{{object.get_category_display}}</span>
            </a>
          <h4 class="mt-3"><strong>{{object.title}}</strong></h4>
          <p class="lead">
            <span class="mr-1">
              {% if object.discount_price %}
                <del>Rs.{{object.price}}</del>
                <span>Rs.{{object.discount_price}}</span>
              {% else %}
                <span>Rs.{{object.price}}</span>
              {% endif %}
            </span>
          </p>
          </div>
          
          <p class="lead font-weight-bold">Description</p>
          <p>{{object.description}}</p>

            <a href="{{object.get_add_to_cart_url}}" class="btn btn-primary btn-md my-0 p" type="submit">Add to cart
            <i class="fas fa-shopping-cart ml-1"></i>
          </a>
          <a href="{{object.get_remove_from_cart_url}}" class="btn btn-danger btn-md my-0 p" type="submit">Remove from cart
            <i class="fas fa-shopping-cart ml-1"></i>
          </a>

        </div>
      </div>
    </div>
    <hr>
    {% comment %} <div class="row d-flex justify-content-center wow fadeIn">
      <div class="col-md-6 text-center">
        <h4 class="my-4 h4">Additional information</h4>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Natus suscipit modi sapiente illo soluta odit
          voluptates,
          quibusdam officia. Neque quibusdam quas a quis porro? Molestias illo neque eum in laborum.</p>
      </div>
    </div>
    <div class="row wow fadeIn">
      <div class="col-lg-4 col-md-12 mb-4">
        <img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/11.jpg" class="img-fluid" alt="">
      </div>
      <div class="col-lg-4 col-md-6 mb-4">
        <img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/12.jpg" class="img-fluid" alt="">
      </div>
      <div class="col-lg-4 col-md-6 mb-4">
        <img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/13.jpg" class="img-fluid" alt="">
      </div>
    </div> {% endcomment %}
  </div>
</main>

{% endblock content %}
  
 

templates/snippet.html
<h4 class="d-flex justify-content-between align-items-center mb-3">
  <span class="text-muted">Your cart</span>
  <span class="badge badge-secondary badge-pill">{{order.items.count}}</span>
</h4>

<!-- Cart -->
<ul class="list-group mb-3 z-depth-1">
  {% for order_item in order.items.all %}
  <li class="list-group-item d-flex justify-content-between lh-condensed">
    <div>
      <h6 class="my-0">{{order_item.quantity}} x {{order_item.item.title}}</h6>
      <small class="text-muted">{{order_item.item.description}}</small>
    </div>
    <span class="text-muted">Rs.{{order_item.get_final_price}}</span>
  </li>
  {% endfor %}
  
  {% if order.coupon %}
  <li class="list-group-item d-flex justify-content-between bg-light">
    <div class="text-success">
      <h6 class="my-0">Promo code</h6>
      <small>{{order.coupon.code}}</small>
    </div>
    <span class="text-success">-${{order.coupon.amount}}</span>
  </li>
  {% else %}
  <li class="list-group-item d-flex justify-content-between bg-light">
    <div class="text-success">
      <h6 class="my-0">Promo code</h6>
      <small>NO COUPONS ATTACHED</small>
    </div>
  </li>
  {% endif %}
  <li class="list-group-item d-flex justify-content-between">
    <span>Total </span>
    <strong>Rs.{{order.get_total}}</strong>
  </li>
</ul>
<!-- Cart -->

<!-- Promo code -->

{% if DISPLAY_COUPON_FORM %}
<form class="card p-2" action="{% url 'add_coupon' %}" method="POST">
  {% csrf_token %}
  <div class="input-group">
    {{coupon_form.code}}
    <div class="input-group-append">
      <button class="btn btn-secondary btn-md waves-effect m-0" type="submit">
        Redeem
      </button>
    </div>
  </div>
</form>
{% endif %}

<!-- Promo code -->